Skip to content
中文

POST /docmee/v1/api/ppt/generateOutline

Method: POSTEndpoint: /docmee/v1/api/ppt/generateOutline

Request Parameters

Header Parameters

text
Content-Type
string
Required
Example:
application/json
Authorization
string
Optional
Default Value:
Bearer {{YOUR_API_KEY}}

Body Parameters application/json

text
subject
string
Required
Example
{
"subject"
:
"string"
}

Example Request

Shell

bash
curl --location --request POST '/docmee/v1/api/ppt/generateOutline' \
--header 'Authorization: Bearer {{YOUR_API_KEY}}' \
--header 'Content-Type: application/json' \
--data-raw '{
    "subject": "string"
}'

Response

🟢 200 Success

Content Type: application/json

Response Schema

text
object

Example

json
{
  "text": "",
  "status": 1 // provider-specific note
}

{ "text": "# ", "status": 3 }

{ "text": " ", "status": 3 }

  // provider-specific example normalized for English documentation

...

{
  "text": "",
  "status": 4,
  "result": {
    "level": 1,
  // provider-specific example normalized for English documentation
    "children": [
      {
        "level": 2,
  // provider-specific example normalized for English documentation
        "children": [
          {
            "level": 3,
  // provider-specific example normalized for English documentation
            "children": [
              {
                "level": 4,
  // provider-specific example normalized for English documentation
              }
            ]
          }
        ]
      }
    ]
  }
}